org.pentaho.reporting.libraries.resourceloader

## Class LibLoaderCoreModule

- java.lang.Object
- - AbstractModule
  - - org.pentaho.reporting.libraries.resourceloader.LibLoaderCoreModule

    public class LibLoaderCoreModule
    extends AbstractModule

Todo: Document Me

Author:
  Thomas Morgner

### Constructor Summary

Constructors
Constructor and Description
`LibLoaderCoreModule()`

### Method Summary

Methods
`void` `initialize(SubSystem subSystem)` Initializes the module.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LibLoaderCoreModule

    public LibLoaderCoreModule()
                        throws ModuleInitializeException

Throws:
  `ModuleInitializeException`

### Method Detail

#### initialize

    public void initialize(SubSystem subSystem)
                    throws ModuleInitializeException

Initializes the module. Use this method to perform all initial setup operations. This method is called only once in a modules lifetime. If the initializing cannot be completed, throw a ModuleInitializeException to indicate the error,. The module will not be available to the system.

Parameters:
  `subSystem` - the subSystem.
Throws:
  `ModuleInitializeException` - if an error ocurred while initializing the module.